### Constructor

# Phosh EndSessionDialog new

#### Declaration [src]

    GtkWidget*
    phosh_end_session_dialog_new (
      gint action,
      gint seconds,
      const char* const* paths
    )

#### Description

No description available.

#### Parameters

`action`

  Type: `gint`

  No description available.

`seconds`

  Type: `gint`

  No description available.

`paths`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

No description available.

The data is owned by the called function.